var UINestable = function () {

    return {
        init: function (selector, options) {
            var _this = this;

            $(selector).nestable(options).on('change', function(e){
                _this.signals.onChange.dispatch(e, _this);
            });

            return this;
        },
        signals: {
            onChange: new signals.Signal()
        }
    };
}();
